Compatibility

Discussion of open issues, suggestions and bugs regarding ADO.NET provider for MySQL
Post Reply
KrisF
Posts: 3
Joined: Wed 11 Oct 2017 13:10

Compatibility

Post by KrisF » Fri 21 Sep 2018 15:44

I have searched for a compatibility matrix of sorts, but so far, been unsuccessful. We recently purchased DotConnect for MySQL (Devart.Data.MySql.dll v 8.10.1013.0; Devart.Data.dll v 5.0.1805.0) and used it successfully to interface to MySql servers 5.6 and 5.7. Are there any known compatibility issues using the aforementioned DotConnect for MySQL version to connect with and interface to MySQL server 4? In fact, it would be great to see a full compatibility matrix. Can anyone point me to one of those? Thanks for any assistance.

Turns out that our customer is using MySQL 8.0!!! Can the aforementioned DotConnect for MySQL connect and "talk" to MySQL 8.0? The customer is reporting “Connection Error: Can’t connect to MySQL server on <<ip-address>> (10061): Authentication failed.” The customer reverted back to using MySQL 5.3 and it is now working. So, I guess the question becomes why doesn't our DotConnect for MySQL version "talk" to MySQL v 8.0? Will we need to upgrade our DotConnect for MySQL version? Thank you for your replies.

KrisF

Pinturiccio
Devart Team
Posts: 2328
Joined: Wed 02 Nov 2011 09:44

Re: Compatibility

Post by Pinturiccio » Tue 25 Sep 2018 13:01

KrisF wrote:In fact, it would be great to see a full compatibility matrix.
Please refer to https://www.devart.com/dotconnect/mysql ... ility.html
KrisF wrote:Turns out that our customer is using MySQL 8.0!!! Can the aforementioned DotConnect for MySQL connect and "talk" to MySQL 8.0?
MySQL 8.0 is supported starting from dotConnect for MySQL 8.12.1190. For more information, please refer to https://www.devart.com/dotconnect/mysql ... story.html . Thus your customer can't connect to MySQL 8.0 with dotConnect for MySQL 8.10.1013.

Post Reply